Analytics · Analytics

Get YouTube demographics

Fetches YouTube demographics.

GEThttps://api.pozy.ai/v1/analytics/youtube/demographics
getYouTubeDemographics

Guides: YouTube, Platform insights

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the analytics resource group disabled get 403 resource_group_disabled. Authentication

Query parameters

NameTypeNotes
accountIdrequiredstring
videoIdstring
breakdownstring
fromDatestring (date)
toDatestring (date)
startDatestring (date)
endDatestring (date)

Example

curl -X GET "https://api.pozy.ai/v1/analytics/youtube/demographics?accountId=696e0b682d0a31188e7a2ba9" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • successboolean
  • accountIdstring
  • platformstring
  • videoIdstring
  • titlestring

    Can be null.

  • publishedAtstring (date-time)

    Can be null.

  • demographicsmap of array of object
  • dateRangeobject
    • startDatestring
    • endDatestring
  • provisionalSincestring (date)
  • notestring
200 response
{
  "success": true,
  "accountId": "696e0b682d0a31188e7a2ba9",
  "platform": "instagram",
  "videoId": "65fd297a0da74ab358dd11e9",
  "title": "Launch day",
  "publishedAt": "2026-10-02T09:00:00.000Z",
  "demographics": {
    "key": [
      {
        "dimension": "string",
        "value": 12.5
      }
    ]
  },
  "dateRange": {
    "startDate": "string",
    "endDate": "string"
  },
  "provisionalSince": "2026-10-01",
  "note": "string"
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Analytics